CREATE TABLE fnd_rand_states (
    LOCK_ID           NUMBER     NOT NULL,
    LAST_SEQUENCE     NUMBER     NOT NULL,
    RESEED_COUNTER    NUMBER     NOT NULL,
    EVENT_COUNT       NUMBER     NOT NULL,
    RANDOM_KEY        RAW(24)    NOT NULL,
    POOL0             RAW(16),
    POOL1             RAW(16),
    POOL2             RAW(16),
    POOL3             RAW(16),
    POOL4             RAW(16),
    POOL5             RAW(16),
    POOL6             RAW(16),
    POOL7             RAW(16),
    POOL8             RAW(16),
    POOL9             RAW(16),
    POOL10            RAW(16),
    POOL11            RAW(16),
    POOL12            RAW(16),
    POOL13            RAW(16),
    POOL14            RAW(16),
    POOL15            RAW(16),
    POOL16            RAW(16),
    POOL17            RAW(16),
    POOL18            RAW(16),
    POOL19            RAW(16),
    POOL20            RAW(16),
    POOL21            RAW(16),
    POOL22            RAW(16),
    POOL23            RAW(16),
    POOL24            RAW(16),
    POOL25            RAW(16),
    POOL26            RAW(16),
    POOL27            RAW(16),
    POOL28            RAW(16),
    POOL29            RAW(16),
    POOL30            RAW(16),
    POOL31            RAW(16),
    LOCK_ID           NUMBER     NOT NULL,
    LAST_SEQUENCE     NUMBER     NOT NULL,
    RESEED_COUNTER    NUMBER     NOT NULL,
    EVENT_COUNT       NUMBER     NOT NULL,
    RANDOM_KEY        RAW(24)    NOT NULL,
    POOL0             RAW(16),
    POOL1             RAW(16),
    POOL2             RAW(16),
    POOL3             RAW(16),
    POOL4             RAW(16),
    POOL5             RAW(16),
    POOL6             RAW(16),
    POOL7             RAW(16),
    POOL8             RAW(16),
    POOL9             RAW(16),
    POOL10            RAW(16),
    POOL11            RAW(16),
    POOL12            RAW(16),
    POOL13            RAW(16),
    POOL14            RAW(16),
    POOL15            RAW(16),
    POOL16            RAW(16),
    POOL17            RAW(16),
    POOL18            RAW(16),
    POOL19            RAW(16),
    POOL20            RAW(16),
    POOL21            RAW(16),
    POOL22            RAW(16),
    POOL23            RAW(16),
    POOL24            RAW(16),
    POOL25            RAW(16),
    POOL26            RAW(16),
    POOL27            RAW(16),
    POOL28            RAW(16),
    POOL29            RAW(16),
    POOL30            RAW(16),
    POOL31            RAW(16)
);
